name: Bug report
description: Something isn't working
labels: ["bug"]
body:
  - type: markdown
    attributes:
      value: Thanks for taking the time to report a bug.

  - type: textarea
    id: description
    attributes:
      label: What happened?
      description: A clear description of the bug.
    validations:
      required: true

  - type: textarea
    id: reproduction
    attributes:
      label: Steps to reproduce
      placeholder: |
        1. Run `navegador ingest ./myrepo`
        2. Run `navegador context src/auth.py`
        3. ...
    validations:
      required: true

  - type: textarea
    id: expected
    attributes:
      label: Expected behaviour
    validations:
      required: true

  - type: textarea
    id: environment
    attributes:
      label: Environment
      placeholder: |
        - navegador version: 0.1.0
        - Python: 3.12
        - OS: macOS 15 / Ubuntu 24.04
        - Storage: SQLite / Redis
    validations:
      required: true

  - type: textarea
    id: logs
    attributes:
      label: Relevant logs or output
      render: shell
